<?php
/**
 * Subsidiary Aside
 *
 * This template displays widgets for Subsidiary.
 * If no widgets are added, nothing is displayed.
 * @link http://themehybrid.com/themes/hybrid/widget-areas
 *
 * @package Hybrid
 * @subpackage Template
 */

if ( is_sidebar_active( 'subsidiary' ) ) : ?>
	<?php 
	
	$sidebars_widgets = wp_get_sidebars_widgets();
	
	?>
	<div id="subsidiary" class="aside columns-<?php echo sizeof($sidebars_widgets["subsidiary"]); ?>">

		<?php hybrid_before_subsidiary(); // Before Subsidiary hook ?>

		<?php dynamic_sidebar( 'subsidiary' ); ?>

		<?php hybrid_after_subsidiary(); // After Subsidiary hook ?>

	</div><!-- #subsidiary .aside -->

<?php endif; ?>