<?php
/**
 * Home Template
 * Template Name: Blank Canvas
 * 
 * This page is used to display just the content of the page in the 
 * 
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>
	<div class="hfeed content">
		<?php 
		if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				

				<div class="entry-content entry">
					<?php the_content( sprintf( __('Continue reading %1$s', 'hybrid'), the_title( ' "', '"', false ) ) ); ?>
				</div><!-- .entry-content -->

				

			</div><!-- .hentry .post -->

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data">
				<?php _e('Sorry, no page matches your criteria.', 'hybrid'); ?>
			</p><!-- .no-data -->

		<?php endif; ?>
		
		<?php hybrid_after_content(); // After content hook ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); ?>