<?php
/** 
 * CLF Header Generator
 * 
 * 
 * 
 */
global $clf_base_load_backend;
if($clf_base_load_backend)
	require_once("panel.php");

// add_action('init', 'clf_base_clf_header_init'); /* adds the look and feel styles to the theme */

/**
 * clf_base_clf_header_init function.
 * -todo: is this really nexessery? 
 * @access public
 * @return void
 */
function clf_base_clf_header_init() {
	global $clf_base_options;
	
	if(!is_admin()):
		// Getting CSS file that specifies the paths for header image files.
		$wud = wp_upload_dir();
		
		// Check if a generated headers.css exists in the blog's upload directory
		$clf_base_css_override_exists = file_exists($wud['basedir'].'/clf_base/headers.css');
	
		if($clf_base_css_override_exists) {
			// If it does, use it.
			//echo '<div></div>';
			
			$clf_header_url = get_option('siteurl').'/'.get_option('upload_path').'/clf_base/headers.css';
		} else {
			// If not, use the defaults.
			$clf_header_url = get_bloginfo('stylesheet_directory').'/library/clf-header/headers.css';
		}

		// $csslink = get_bloginfo('stylesheet_directory').'/library/fonts-and-colors/css/'.$clf_base_options['look-and-feel']['style'].'.css';
		$csslink = $clf_base_options['look-and-feel']['csspath'];
		wp_register_style('clf-base-header', $clf_header_url ,array('clf-base-clf'),"-remove-version");
		wp_enqueue_style('clf-base-header');
		
	endif;	
}    





