<?php 



require_once('helper.php');

?>
<!doctype html public "?">
<!--[if lt IE 7 ]><html lang=en-us class="ie6"><![endif]-->
<!--[if IE 7 ]><html lang=en-us class="ie7"><![endif]-->
<!--[if IE 8 ]><html lang=en-us class="ie8"><![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html lang=en-us > <!--<![endif]-->
<head>
  <meta charset=utf-8>
  <meta http-equiv=X-UA-Compatible content="IE=Edge;chrome=1">
  
  <title>Typography Preview</title>

  <meta name=viewport content="width=device-width, initial-scale=1.0">  


  <link rel=stylesheet type="text/css" media=screen href="/wp-content/themes/clf-base/editor.css" />
  <?php if( isset($_GET['style']) && !empty($_GET['style'])): ?>
  <link rel=stylesheet type="text/css" media=screen href="/wp-content/themes/clf-base/library/fonts-and-colors/typography/<?php echo $_GET['style'];?>.css" />
  <?php else: ?>
  <link rel=stylesheet type="text/css" media=screen href="/wp-content/themes/clf-base/library/fonts-and-colors/typography/default.css" />
  <?php endif; ?>
  <style type="text/css">
	 <?php
	if( isset($_GET['heading']) && isset($_GET['body']) )
		echo clf_base_add_google_fonts( $_GET['body'],$_GET['heading'] );
	
	if( isset($_GET['heading']) && isset($_GET['hcolor']) ): ?>
	h1, h2, h3, h4, h5, h6, big, #site-title{ font-family:<?php echo $_GET['heading'];  ?>; color:#<?php echo $_GET['hcolor'];  ?> }
	
	
	
	<?php endif;
	if( isset($_GET['body']) ): ?>
	body {font-family:<?php echo $_GET['body'];  ?>;}
	<?php endif; ?>
	
	#nav { list-style: none; margin: 0; padding: 0; border-bottom: 1px solid #CCC; font-family: Arial; margin-bottom: 10px;   }
	#nav li {display: inline; margin-right: 15px; }
	#nav a{ text-decoration: none; }
	.top{ float: right; margin-top: -2.7em; font-family: Arial; text-decoration: none; margin-right: 10px;  }
	
	a.top span{  font-weight: bold; }
  </style>

</head>
<body>

<ul id="nav">
	<li><a href="#headings">Headings</a></li>
	<li><a href="#lists">Lists</a></li>
	<li><a href="#tables">Table</a></li>
	<li><a href="#other">Other markup code</a></li>
</ul>
<h1>Title &mdash; h1</h1>

<big>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</big>
<p>Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.</p>
<h2>Subtitle &mdash; h2</h2>
<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.</p>
<h3>Subtitle &mdash; h3</h3>

<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>
<h4>Subtitle &mdash; h4</h4>
<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.</p>
<h5>Subtitle &mdash; h5</h5>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>

<h6>Subtitle &mdash; h6</h6>
<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.</p>

<h2 id="headings">Headings</h2><a class="top" href="#nav"><span>&uarr;</span>  top</a>
<h1>Heading 1 - h1</h1>
<h2>Heading 2 - h2</h2>
<h3>Heading 3 - h3</h3>
<h4>Heading 4 - h4</h4>
<h5>Heading 5 - h5</h5>
<h6>Heading 6 - h6</h6>

<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>
<blockquote cite="http://www.projeturbain.com">
	<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>
</blockquote>
<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit praesent luptatum zzril delenit augue duis dolore te feugait nulla facilisi.</p>
<hr />

<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>

<h2 id="lists">List Types</h2><a class="top" href="#nav"><span>&uarr;</span>  top</a>
<h3>Ordered list</h3>
<ol>
	<li>List item</li>

	<li>List item</li>
	<li>List item
		<ol>
			<li>List item level 2</li>
			<li>List item level 2
				<ol>
					<li>List item level 3</li>
					<li>List item level 3</li>

				</ol>
			</li>
		</ol>
	</li>
</ol>						
<h3>Unordered list</h3>
<ul>
	<li>List item 01</li>

	<li>List item 02</li>
	<li>List item 03
		<ul>
			<li>List item level 2</li>
			<li>List item level 2
				<ul>
					<li>List item level 3</li>
					<li>List item level 3</li>

				</ul>
			</li>

		</ul>
	</li>
</ul>
<h3>Definition List</h3>
<dl>
	<dt>Definition list title</dt>

	<dd>Definition list data</dd>
	<dt>Definition list title</dt>
	<dd>Definition list data</dd>
	<dt>Definition list title</dt>
	<dd>Definition list data</dd>
</dl>

<h3>Dialog</h3>
<dialog>
	<dt> Costello</dt>
	<dd> Look, you gotta first baseman?</dd>
	<dt> Abbott</dt>

	<dd> Certainly.</dd>
	<dt> Costello</dt>
	<dd> Who's playing first?</dd>
	<dt> Abbott</dt>
	<dd> That's right.</dd>

	<dt> Costello</dt>
	<dd> When you pay off the first baseman every month, who gets the money?</dd>
	<dt> Abbott</dt>
	<dd> Every dollar of it.</dd>
</dialog>

<h2 id="tables">Tables</h2><a class="top" href="#nav"><span>&uarr;</span>  top</a>
<table>
	<caption>Basic table</caption>
	<thead>
		<tr>

			<th>header 1</th>
			<th>header 2</th>
			<th>header 3</th>
			<th>header 4</th>
		</tr>
	</thead>
	<tbody>

		<tr>
			<td>data 1</td>
			<td>data 2</td>
			<td>data 3</td>
			<td>data 4</td>
		</tr>
		<tr>

			<td>data 1</td>
			<td>data 2</td>
			<td>data 3</td>
			<td>data 4</td>
		</tr>
		<tr>
			<td>data 1</td>

			<td>data 2</td>
			<td>data 3</td>
			<td>data 4</td>
		</tr>
	</tbody>
	<tfoot>
		<tr>

			<td>footer 1</td>
			<td>footer 2</td>
			<td>footer 3</td>
			<td>footer 4</td>
		</tr>
	</tfoot>
</table>

<h2 id="other">Other markup code</h2><a class="top" href="#nav"><span>&uarr;</span>  top</a>
<p><a href="">hyperlink</a><br />

	<abbr title="title">abbreviation</abbr><br />
	<b>offset text typically styled in bold</b><br />
	<cite>cited title of a work</cite><br />
	<code>code fragment</code><br />
	<del>deleted text</del><br />
	<dfn title="title">defining instance</dfn><br />

	<em>emphatic stress</em><br />
	<i>offset text typically styled in italic</i><br />
	<ins>inserted text</ins><br />
	<kbd>user input</kbd><br />
	<mark>marked (highlighted) text</mark><br />
	<samp>sample output</samp><br />

	<small>small print</small><br />
	<strong>strong importance</strong><br />
	super<sup>script</sup> & sub<sub>subscript</sub><br />
	<var>variable or placeholder text</var></p>
<address>contact information</address>
<h2>Blockquote</h2>
<blockquote cite="http://www.projeturbain.com">
	<p>Duis autem vel eum iriure dolor in hendrerit in <q>vulputate velit esse molestie consequat</q>, vel illum dolore eu feugiat nulla facilisis.</p>
</blockquote>
<pre>preformatted text</pre>




</body>
</html>