<?php

/**
 * clf_base_spotlight_mobile function.
 * 
 * @access public
 * @param mixed $atts
 * @return void
 */
function clf_base_spotlight_mobile($atts) {
	global $clf_base_spotlight_id;
	
	extract($atts);
	/*
	//jquery.cycle plugin option parameters.
    $jquery_cycle['fx'] = 'scrollHorz';
    $jquery_cycle['speed'] = (is_numeric($speed)) ? intval($speed) : '200';
    $jquery_cycle['pager'] = "#pager-".$clf_base_spotlight_id;
	$jquery_cycle['timeout'] = (is_numeric($timeout)) ? intval($timeout)*1000 : '6000';
	*/
	$html = '';
	
	$maxheight = 300;
	
	// Query for Posts in the category
	$spotlight_query = new WP_Query($query);
	
	//Reset Query
	wp_reset_query();
 	ob_start(); // Start Output Buffer to contain spotlight code.
	
	if ( $spotlight_query->have_posts() ) : ?>
    	<div class="clf-base-spotlight clf-base-mobile-spotlight" id="clf-base-spotlight-<?php echo $clf_base_spotlight_id; ?>">
    	<ul class="slides"> 
    	<?php
		$read_more_text = (!empty($read_more_text)? $read_more_text: "Read More");
		while ( $spotlight_query->have_posts() ) : 
			$spotlight_query->the_post();
			$count++; ?>	
			<li class="slide">
			<?php 
			$image = clf_base_get_the_image(get_the_ID(),$width,$height);
	
			if($image):
				if($remove_link_to):
					echo $image; ?>
		        	<div class="overlay">
		        		<p class="flex-caption entry-title" ><?php the_title(); ?></p>
		        	</div>
		        <?php 	
				else:
				?>
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="slide-image-link"><?php echo $image; ?></a>
		        	<div class="overlay">
		        		<p class="flex-caption entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="slide-image-link"> <?php the_title(); ?></a></p>
		        	</div>
	        	<?php
	        	endif;
	        	
        	else:
        		?> 
	        	
	        	<div class="story-slide">
	        		<div class="story">
	        			<p class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="slide-image-link"> <?php the_title(); ?></a></p>
	        		</div>
	        	</div>
	        <?php 
        	endif;
        	?></li>
	
			<?php 
			unset($image); // reset the image variable
		endwhile; ?>
		</ul>
		</div>
		<?php /* 
		animation: "fade",              //String: Select your animation type, "fade" or "slide"
slideDirection: "horizontal",   //String: Select the sliding direction, "horizontal" or "vertical"
slideshow: true,                //Boolean: Animate slider automatically
slideshowSpeed: 7000,           //Integer: Set the speed of the slideshow cycling, in milliseconds
animationDuration: 600,         //Integer: Set the speed of animations, in milliseconds
directionNav: true,             //Boolean: Create navigation for previous/next navigation? (true/false)
controlNav: true,               //Boolean: Create navigation for paging control of each clide? Note: Leave true for manualControls usage
keyboardNav: true,              //Boolean: Allow slider navigating via keyboard left/right keys
mousewheel: false,              //Boolean: Allow slider navigating via mousewheel
prevText: "Previous",           //String: Set the text for the "previous" directionNav item
nextText: "Next",               //String: Set the text for the "next" directionNav item
pausePlay: false,               //Boolean: Create pause/play dynamic element
pauseText: 'Pause',             //String: Set the text for the "pause" pausePlay item
playText: 'Play',               //String: Set the text for the "play" pausePlay item
randomize: false,               //Boolean: Randomize slide order
slideToStart: 0,                //Integer: The slide that the slider should start on. Array notation (0 = first slide)
animationLoop: true,            //Boolean: Should the animation loop? If false, directionNav will received "disable" classes at either end
pauseOnAction: true,            //Boolean: Pause the slideshow when interacting with control elements, highly recommended.
pauseOnHover: false,            //Boolean: Pause the slideshow when hovering over slider, then resume when no longer hovering
controlsContainer: "",          //Selector: Declare which container the navigation elements should be appended too. Default container is the flexSlider element. Example use would be ".flexslider-container", "#container", etc. If the given element is not found, the default action will be taken.
manualControls: "",             //Selector: Declare custom control navigation. Example would be ".flex-control-nav li" or "#tabs-nav li img", etc. The number of elements in your controlNav should match the number of slides/tabs.
start: function(){},            //Callback: function(slider) - Fires when the slider loads the first slide
before: function(){},           //Callback: function(slider) - Fires asynchronously with each slider animation
after: function(){},            //Callback: function(slider) - Fires after each slider animation completes
end: function(){}               //Callback: function(slider) - Fires when the slider reaches the last slide (asynchronous)
		*/?>

		<script  type="text/javascript">
		/* <![CDATA[ */
		jQuery(window).load(function() {
    		jQuery('#clf-base-spotlight-<?php echo $clf_base_spotlight_id; ?>').flexslider({
    			slideshowSpeed: <?php echo $timeout*1000; ?>,           //Integer: Set the speed of the slideshow cycling, in milliseconds
				animationDuration: <?php echo $speed; ?>,
				nextText: "&raquo;",
				prevText: "&laquo;"
				
    		});
  		});
		/* ]]> */
		</script>
		<?php
		endif; 
	
	$html .= ob_get_contents();

	ob_end_clean();
	return $html;
}
