<?php 
/** 
 * Scripts 
 *
 */
add_action('admin_init', 'clf_base_scripts');

/**
 * clf_base_scripts function.
 * 
 * @access public
 * @return void
 */
function clf_base_scripts() {
	add_settings_field('clf-base-footer-scripts', 'Footer Scripts', 'clf_base_theme_options_scripts_footer', 'clf-base-theme-options', 'display-options');		
}	


/**
 * clf_base_theme_options_scripts_header function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_scripts_header() {
	global $clf_base_options;
	?>
	
	<div>
		<div class="explanation">
		<h3>Header Scripts</h3>
		<p>If you ever need to display </p>
		<p>Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.</p>
		</div>
		<textarea cols="70" rows="5"  name="clf_base[scripts][header]"><?php echo $clf_base_options['scripts']['header']; ?></textarea>
	</div>

	<?php
}

/**
 * clf_base_theme_options_scripts_footer function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_scripts_footer() {
	global $clf_base_options;
	?>
	
	<div>
		<div class="explanation">
		<h3>Footer Scripts</h3>
		<p>Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.</p>
		</div>
		<textarea cols="70" rows="5"  name="clf_base[scripts][footer]"><?php 
			if( isset($clf_base_options['scripts']) && isset($clf_base_options['scripts']['footer'])) 
				echo $clf_base_options['scripts']['footer']; 
				?></textarea>
		</div>
		
	</div>

	<?php
}
