<?php 



/* form query short code

query parameters 
custom_field
post_value 
substr_start
substr_lenght

*/
/**
 * 
 * 
 * @access public
 * @param mixed $atts
 * @return void
 */
function clf_base_shortcode_form_query($atts) {
	global $wp_query, $posts;
	
	$temp = $posts;
	extract(shortcode_atts(array(
		'custom_field' => null,
		'post_value' => null,
		'substr_start' => 0,
		'substr_lenght' => null,
		'query'			=> 'post_type=page',
		'not_found'		=> ''
	), $atts ) );
	
	// if these values are null return nothing
	if(!$custom_field || !$post_value)
		return "";
		
	if(isset($_REQUEST[$post_value]))
	{
		$post_form = esc_attr($_REQUEST[$post_value]);
			
		if(!$substr_lenght)
			$substr_lenght = strlen($post_form);		
		
		$post_form = substr($post_form,$substr_start,$substr_lenght);
		
		if( empty($post_form) )
			return $not_found;
		$posts = query_posts("meta_key={$custom_field}&meta_compare==&meta_value={$post_form}&{$query}"); 
		// $html="meta_key={$custom_field}&meta_value={$post_form}&meta_compare==&{$query} ".$substr_lenght." - ". $substr_start." - ".$_POST[$post_value]. " end of everything";
		//$html="";
		if(have_posts()):
		while (have_posts()) : the_post(); 
	  		// the content of the post
	  		$html .='<div class="entry">';
	  		$html .= "<h2 class='entry-title'>".get_the_title()."</h2>";
	  		$html .= get_the_excerpt();
	  		$html .= '</div>';
	  		
		endwhile;
		else:
			$html .= $not_found;
		endif;
		
		$posts = $temp;
		 wp_reset_query();
		return $html;
		
	}else
	{
	return "";
	}
}
add_shortcode("form-query","clf_base_shortcode_form_query");