<?php
/** 
 * CLF
 * Settings that the user can choose from
 * 
 * 
 */

global $clf_base_load_backend;
if($clf_base_load_backend)
	require_once("panel.php");


add_action('init', 'clf_base_clf_init'); /* adds the layout styles to the theme */
add_action("hybrid_before_html","clf_base_clf_header_html");
add_action("hybrid_after_html","clf_base_clf_footer_html");

/**
 * clf_base_clf_init function.
 * 
 * @access public
 * @return void
 */
function clf_base_clf_init() {
	// deregister 
	global $clf_base_options;
	if(!is_admin()):
	/*
		wp_register_style('clf-base-clf', get_bloginfo('stylesheet_directory').'/library/clf/css/clf.css');
		wp_enqueue_style('clf-base-clf');
	*/	// $http = ( is_ssl() ? 'https' : 'http' );
		wp_enqueue_script('clf-base-cwl-google','https://www.google.com/jsapi?key=ABQIAAAAoRs91XgpKw60K4liNrOHoBStNMhZCa0lqZKLUDgzjZGRsKl38xSnSmVmaulnWVdBLItzW4KsddHCzA');
		wp_enqueue_script('clf-base-cwl', get_bloginfo('stylesheet_directory').'/library/clf/js/clf.js', array('jquery','clf-base-cwl-google'));
	  	wp_localize_script( 'clf-base-cwl', 'clfBaseCwl', array(
	  						'stylesheet_directory' => get_stylesheet_directory_uri(),
	  						'UbcMegaMenu' => $clf_base_options['clf']['mega_menu'],
	  						'UbcPlaceOfMind' => $clf_base_options['clf']['pom'],
                			'UbcPlaceOfMindRSS' => $clf_base_options['clf']['pom_feed'],
                			'UbcPlaceOfMindLink' => $clf_base_options['clf']['pom_link']
		));
		
	endif;
	
	remove_action( 'hybrid_header', 'hybrid_site_title' );
	remove_action( 'hybrid_header', 'hybrid_site_description' );
} 
 
/**
 * clf_base_clf_header_html function.
 * 
 * @access public
 * @return void
 */
function clf_base_clf_header_html() {
	global $clf_base_options;
	require_once("html/header.php");
}

/**
 * clf_base_clf_footer_html function.
 * 
 * @access public
 * @return void
 */
function clf_base_clf_footer_html() {
	global $clf_base_options;
	require_once("html/footer.php");
}
