<?php
header("Cache-Control: no-cache, must-revalidate"); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head profile="http://gmpg.org/xfn/11">
<title>HTML Sample</title>

<link rel="stylesheet" href="../../../style.css" type="text/css" media="screen" />
<link rel='stylesheet' id='clf-base-layout-css'  href='../../layout/css/layout.css?ver=2.9.2' type='text/css' media='all' />
<link rel='stylesheet' id='clf-base-fonts-and-colors-stylesheet-css'  href='<?php echo $_GET['stylesheet']; ?>' type='text/css' media='all' />

<style type='text/css'>
div#body-container{
	width: 560px;
}
body.l2-column .content{
	width: 320px;
	margin-right: 15px;
}
body.l2-column #primary, body.l2-column #secondary{
	width: 160px;
}
div#container{
	width: auto;
}
</style>
</head>
<body class="ltr y2010 m06 d10 h21 thursday logged-in singular page page-2 page-template page-template-default page-author-admin mac firefox firefox-3 primary-active secondary-active subsidiary-inactive l2-column-ms l2-column">

<div id="body-container">

	<div id="container">

		<div class="breadcrumb breadcrumbs"><div class="breadcrumb-trail">&raquo; <a href="#" title="PA Local Test Server Blogs" rel="home" class="trail-begin">Home</a> &raquo; <span class="trail-end">HTML Sample</span></div></div>
			<div class="hfeed content">

		
		
			<div id="post-2" class="hentry post page post-1 odd author-admin">

				<h1 class="page-title entry-title"><a href="#" title="HTML Sample" rel="bookmark">HTML Sample</a></h1>
				<div class="entry-content entry">
<h1>Heading 1</h1>
<h2>Heading 2</h2>
<h3>Heading 3</h3>
<h4>Heading 4</h4>

<h5>Heading 5</h5>
<h6>Heading 6</h6>
<hr />Lorem ipsum dolor sit amet, <a title="test link" href="##">test link</a> adipiscing elit. <strong>This is strong.</strong> Nullam dignissim convallis est. Quisque aliquam. <em>This is emphasized.</em> Donec faucibus. Nunc iaculis suscipit dui. 5<sup>3</sup> = 125. Water is H<sub>2</sub>O. Nam sit amet sem. Aliquam libero nisi, imperdiet at, tincidunt nec, gravida vehicula, nisl. <cite>The New York Times</cite> (That's a citation). <span style="text-decoration: underline">Underline.</span> Maecenas ornare tortor. Donec sed tellus eget sapien fringilla nonummy. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.</p>

<p><abbr title="Hyper Text Markup Language">HTML</abbr> and <abbr title="Cascading Style Sheets">CSS</abbr> are our tools. Mauris a ante. Suspendisse quam sem, consequat at, commodo vitae, feugiat in, nunc. Morbi imperdiet augue quis tellus.  Praesent mattis, massa quis luctus fermentum, turpis mi volutpat justo, eu volutpat enim diam eget metus. To copy a file type <code>COPY <var>filename</var></code>. <del>Dinner's at 5:00.</del> <ins>Let's make that 7.</ins> This <span style="text-decoration: line-through">text</span> has been struck.</p>

<hr />
<h2>List Types</h2>
<h3>Definition List</h3>
<dl>
<dt>Definition List Title</dt>
<dd>This is a definition list division.</dd>
<dt>Definition</dt>
<dd>An exact statement or description of the nature, scope, or meaning of something: <em>our definition of what constitutes poetry.</em></dd>
</dl>
<h3>Ordered List</h3>

<ol>
<li>List Item 1</li>
<li>List Item 2
<ol>
<li>Nested list item A</li>
<li>Nested list item B</li>
</ol>
</li>
<li>List Item 3</li>
</ol>
<h3>Unordered List</h3>
<ul>

<li>List Item 1</li>
<li>List Item 2
<ul>
<li>Nested list item A</li>
<li>Nested list item B</li>
</ul>
</li>
<li>List Item 3</li>
</ul>
<hr />
<h2>Table</h2>
<table>

<tbody>
<tr>
<th>Table Header 1</th>
<th>Table Header 2</th>
<th>Table Header 3</th>
</tr>
<tr>
<td>Division 1</td>
<td>Division 2</td>
<td>Division 3</td>
</tr>

<tr class="even">
<td>Division 1</td>
<td>Division 2</td>
<td>Division 3</td>
</tr>
<tr>
<td>Division 1</td>
<td>Division 2</td>
<td>Division 3</td>
</tr>
</tbody>

</table>
<hr />
<h2>Preformatted Text</h2>
<p>Typographically, preformatted text is not the same thing as code. Sometimes, a faithful execution of the text requires preformatted text that may not have anything to do with code. Most browsers use Courier and that's a good default &ndash; with one slight adjustment, Courier 10 Pitch over regular Courier for Linux users. For example:</p>
<pre>&ldquo;Beware the Jabberwock, my son!
    The jaws that bite, the claws that catch!
Beware the Jubjub bird, and shun
    The frumious Bandersnatch!&rdquo;</pre>
<h3>Code</h3>
<p>Code can be presented inline, like <code>&lt;?php bloginfo('stylesheet_url'); ?&gt;</code>, or within a <code>&lt;pre&gt;</code> block. Because we have more specific typographic needs for code, well specify Consolas and Monaco ahead of the browser-defined monospace font.</p>

<pre><code>#container {
	float: left;
	margin: 0 -240px 0 0;
	width: 100%;
}</code></pre>
<hr />
<h2>Blockquotes</h2>
<p>Let&rsquo;s keep it simple. Italics are good to help set it off from the body text (and italic Georgia is lovely at this size). Be sure to style the citation.</p>
<blockquote><p>Good afternoon, gentlemen. I am a HAL 9000 computer. I became operational at the H.A.L. plant in Urbana, Illinois on the 12th of January 1992. My instructor was Mr. Langley, and he taught me to sing a song. If you'd like to hear it I can sing it for you.</p>
<p><cite>&mdash; <a href="#">HAL 9000</a></cite></p>
</blockquote>
<p>And here's a bit of trailing text.</p>
									</div><!-- .entry-content -->

				<p class="entry-meta post-meta-data"></p>
			</div><!-- .hentry .post -->

			
			
			
<div id="comments-template">


	


	<div id="respond">

		<h3 id="reply" class="comments-header">
			Leave a Reply		</h3>

		<p id="cancel-comment-reply">
			<a rel="nofollow" id="cancel-comment-reply-link" href="#" style="display:none;">Click here to cancel reply.</a>		</p><!-- #cancel-comment-reply -->

	
		
		<form>

			
				<p class="log-in-out">
					Logged in as <a href="##" title="Log out of this account">Log out &raquo;</a>

				</p><!-- .log-in-out -->

			
			<p class="form-textarea">
				<label for="comment">Comment</label>
				<textarea name="comment" id="comment" cols="60" rows="10" tabindex="4"></textarea>
			</p><!-- .form-textarea -->

			<p class="form-submit">
				<input class="submit-comment button" name="submit" type="button" id="submit" tabindex="5" value="Submit" />

				<input class="reset-comment button" name="reset" type="reset" id="reset" tabindex="6" value="Reset" />
				<input type='hidden' name='comment_post_ID' value='2' id='comment_post_ID' />

			</p><!-- .form-submit -->

			<div class="comment-action">
					</div><!-- .comment-action -->

		</form><!-- #commentform -->

		
	
	</div><!-- #respond -->


</div><!-- #comments-template -->
		
		
	
	</div><!-- .content .hfeed -->

		
		
	<div id="primary" class="aside">

		<!-- 
		<div id="hybrid-calendar-3" class="widget calendar widget-calendar"><div class="widget-inside">
			<h3 class="widget-title">Calendar</h3>

			<div class="calendar-wrap"><table id="wp-calendar" summary="Calendar">
	<caption>June 2010</caption>
	<thead>
	<tr>
		<th abbr="Monday" scope="col" title="Monday">Mon</th>
		<th abbr="Tuesday" scope="col" title="Tuesday">Tue</th>
		<th abbr="Wednesday" scope="col" title="Wednesday">Wed</th>

		<th abbr="Thursday" scope="col" title="Thursday">Thu</th>
		<th abbr="Friday" scope="col" title="Friday">Fri</th>
		<th abbr="Saturday" scope="col" title="Saturday">Sat</th>
		<th abbr="Sunday" scope="col" title="Sunday">Sun</th>
	</tr>
	</thead>

	<tfoot>
	<tr>
		<td abbr="April" colspan="3" id="prev"><a href="#http://localhost.localdomain/wpmu/blog/2010/04/" title="View posts for April 2010">&laquo; Apr</a></td>
		<td class="pad">&nbsp;</td>
		<td colspan="3" id="next" class="pad">&nbsp;</td>
	</tr>
	</tfoot>

	<tbody>
	<tr>
		<td colspan="1" class="pad">&nbsp;</td><td>1</td><td>2</td><td>3</td><td>4</td><td>5</td><td>6</td>
	</tr>
	<tr>
		<td>7</td><td>8</td><td>9</td><td id="today">10</td><td>11</td><td>12</td><td>13</td>

	</tr>
	<tr>
		<td>14</td><td>15</td><td>16</td><td>17</td><td>18</td><td>19</td><td>20</td>
	</tr>
	<tr>

		<td>21</td><td>22</td><td>23</td><td>24</td><td>25</td><td>26</td><td>27</td>
	</tr>
	<tr>
		<td>28</td><td>29</td><td>30</td>

		<td class="pad" colspan="4">&nbsp;</td>
	</tr>
	</tbody>
	</table>
			</div>
			
			</div></div>
			-->
			<div id="meta-3" class="widget widget_meta widget-widget_meta"><div class="widget-inside"><h3 class="widget-title">Meta</h3>			<ul>
			<li><a href="#">Site Admin</a></li>			
			<li><a href="#">Log out</a></li>

			<li><a href="#" title="Syndicate this site using RSS 2.0">Entries <abbr title="Really Simple Syndication">RSS</abbr></a></li>
			<li><a href="#" title="The latest comments to all posts in RSS">Comments <abbr title="Really Simple Syndication">RSS</abbr></a></li>
						</ul>
</div></div>
		
	</div><!-- #primary .aside -->

	<div id="secondary" class="aside">

		
		<div id="hybrid-pages-3" class="widget pages widget-pages"><div class="widget-inside">
			<h3 class="widget-title">Pages</h3>
			<ul class="xoxo pages">
				<li class="page_item page-item-119"><a href="#" title="About">About</a></li><li class="page_item page-item-191"><a href="#" title="About">About</a></li><li class="page_item page-item-2 current_page_item"><a href="#" title="HTML Sample">HTML Sample</a></li><li class="page_item page-item-174"><a href="#" title="Level 1">Level 1</a><ul><li class="page_item page-item-173"><a href="#" title="Level 2">Level 2</a><ul><li class="page_item page-item-172"><a href="#" title="Level 3">Level 3</a></li></ul></li></ul></li><li class="page_item page-item-146"><a href="#" title="Lorem Ipsum">Lorem Ipsum</a></li><li class="page_item page-item-155"><a href="#" title="Page with comments">Page with comments</a></li><li class="page_item page-item-156"><a href="#" title="Page with comments disabled">Page with comments disabled</a></li><li class="page_item page-item-143"><a href="#" title="Parent page">Parent page</a><ul><li class="page_item page-item-144"><a href="#" title="Child page 1">Child page 1</a><ul><li class="page_item page-item-145"><a href="#" title="Child page 2">Child page 2</a></li></ul></li></ul></li>

			</ul><!-- .xoxo .pages --></div></div>
		
	</div><!-- #secondary .aside -->


	</div><!-- #container -->


</div><!-- #body-container -->

</body>
</html>