jQuery(function($) {
	
	$("#navigation-style div.option").click(function(){
		var class_name = $(this).children().children().val();
		var menu = $("#menu-top-menu");
		menu.removeClass("plain pipes tabs single-tab");
		menu.addClass(class_name);
	});
	
	$("#navigation-dropdown div.option").click(function(){
		
		var class_name = $(this).children().children().val();
		var menu = $("#menu-top-menu");
		menu.removeClass("fullwidth-dropdown single-dropdown");
		menu.addClass(class_name);
	});	
	
	$("#navigation_dropdown_enable").click(function(){
		
		var selected = $(this).attr("checked");

		if(selected) {
			$("#menu-top-menu").removeClass("disable_dropdown");	
			$("#dropdown_depth").show();
		} else {
			$("#menu-top-menu").addClass("disable_dropdown");
			$("#dropdown_depth").hide();
		}
	})
	
	
	if(!$("#navigation_dropdown_enable").attr("checked")) {
		$("#dropdown_depth").hide();
	}
	
	if(!$("#navigation_dropdown_enable").attr("checked"))
		$("#navigation_dropdown_enable").addClass("disable_dropdown");
		
	$("#navigation_links input").click(function(){
		var alt = $(this).attr("alt");
		var split_alt = alt.split("|");
		$("#navigation_links_next").val(split_alt[1]);
		$("#navigation_links_previous").val(split_alt[0]);
	});
	
});