<?php

/**
 * Columns shortcode 
 * @example: [column size=6 border filled] blah [/column]
 *
 */

add_shortcode('column', 'clf_base_column_shortcode');

$clf_base_column_count  = 0;

/**
 * You can use the column shortcode to create devide the page into columns
 * The total of all the column size maxes out at 12. 
 *	 have a nice day
 * 
 * 
 * @example: [column size=6 border filled rounded] html that should go inside this column [/column]
 * @param mixed $atts
 * @param mixed $content. (default: null)
 * @return html 
 */
function clf_base_column_shortcode($atts,$content = null) {
	if(!is_array($atts))
		$atts = array();
	global $clf_base_column_count;
	
	extract(shortcode_atts(array(
		'columns' => '6',
		'size'	  => '6',
		'clear'		=> false,
		
	), $atts));
	
	$div_classes = "";
	$div_classes .= " span-".$size; 
	$clf_base_new_column_count = $clf_base_column_count + $size;
	
	if($clf_base_new_column_count >= 12 || in_array("last",$atts)):
		
		$clf_base_column_count = 0;
		$div_classes .=" last";
		
	else:
		$clf_base_column_count = $clf_base_column_count + $size;
		
		if(in_array("border", $atts))
			$div_classes .= " border";
			
		if(in_array("colborder",$atts))
			$div_class .= " colborder";
		
	endif;
	
	if(in_array("filled",$atts)):
		$filled= "<div class='filled'>";
		
		if(in_array("rounded",$atts))
			$filled= "<div class='filled rounded'>";	
		
		$filled_end = "</div>";
	endif;
	
	$div_classes .= " column_count_".$clf_base_new_column_count;
	
		
	if(isset($class))
		$div_classes = $class;
	
	return $border.'<div class="'. $div_classes. '">'.$filled. do_shortcode(trim($content)).$filled_end.'</div>'.$clear;
	
}
